> ## Documentation Index
> Fetch the complete documentation index at: https://bytebeam.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the list of devices - paginated.



## OpenAPI

````yaml get /api/v1/devices
openapi: 3.0.1
info:
  title: Consoled REST APIs
  description: |-
    Once you have gone through the documentation on Bytebeam Cloud, 
                                              you might want to integrate Bytebeam programmatically in your own applications. 
                                              Our REST API is available to you for performing all operations you can do on the Cloud platform UI.
  termsOfService: https://bytebeam.io/terms
  version: 0.0.1
servers:
  - url: https://cloud.bytebeam.io/
security:
  - apiKeyAuth: []
    tenantAuth: []
tags:
  - name: admin
    description: Admin APIs
  - name: devices
    description: Device Management
  - name: data
    description: Data Access APIs
  - name: logs
    description: Audit Logs
  - name: misc
    description: Miscellaneous
externalDocs:
  description: Product Documentation
  url: https://bytebeam.io/docs
paths:
  /api/v1/devices:
    get:
      tags:
        - devices
      summary: Get the list of devices - paginated.
      parameters:
        - name: page
          in: query
          schema:
            type: string
        - name: limit
          in: query
          schema:
            type: string
        - name: status
          in: query
          schema:
            type: string
            enum:
              - all
              - inactive
              - active
        - name: action-id
          in: query
          schema:
            type: integer
            format: int64
        - name: sortkey
          in: query
          schema:
            type: string
        - name: sortorder
          in: query
          schema:
            type: string
            enum:
              - desc
              - asc
      responses:
        '200':
          description: List of devices
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/DeviceSearchItem'
            application/transit+msgpack:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/DeviceSearchItem'
            application/transit+json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/DeviceSearchItem'
            application/edn:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/DeviceSearchItem'
            id:
              example: 1
            status:
              example: active
            state:
              example:
                mode: 'on'
                speed: 100
            metadata:
              example:
                make: Tesla
                model: Model S
            action:
              example:
                progress: 0
                user_name: Mock User
                user_email: user@bytebeam.io
                errors: '[]'
                updated_at: '2024-05-11T02:43:54.000Z'
                status: Queued
                type: update_geofence
                created_at: '2024-05-11T02:43:54.000Z'
                action_id: 154
                icon: update_geofence_icon
components:
  schemas:
    DeviceSearchItem:
      required:
        - action
        - id
        - metadata
        - state
        - status
      type: object
      properties:
        id:
          type: integer
          format: int64
        metadata:
          $ref: '#/components/schemas/DeviceMetadata'
        state:
          $ref: '#/components/schemas/DeviceState'
        status:
          type: string
          enum:
            - inactive
            - active
        action:
          type: object
          x-oneOf:
            - $ref: '#/components/schemas/DeviceSearchResultsAction'
            - $ref: '#/components/schemas/DeviceLastActionType'
        '-serial_metadata':
          $ref: '#/components/schemas/SerialKeySchema'
      additionalProperties: false
    DeviceMetadata:
      type: object
      additionalProperties:
        type: string
        nullable: true
    DeviceState:
      type: object
      additionalProperties:
        type: object
    SerialKeySchema:
      type: object
      additionalProperties:
        type: string
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      name: x-bytebeam-api-key
      in: header
      description: API key required to authenticate requests.
    tenantAuth:
      type: apiKey
      name: x-bytebeam-tenant
      in: header
      description: Tenant(Project) name required to identify the project.

````